#include<bits/stdc++.h>

using namespace std;

#define int long long


int32_t main() {
    ios_base::sync_with_stdio(false);
    cin.tie();
    int n, m, t;
    cin >> n >> m >> t;
    vector<int> a(n), b(m);
    for (int i = 0; i < n; ++i) cin >> a[i];
    for (int j = 0; j < m; ++j) cin >> b[j];
    cout << t / (*min_element(a.begin(), a.end())) << '\n';
    return 0;

}